Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.probdist
Class ExponentialDistFromMean

    java.lang.Object
      umontreal.iro.lecuyer.probdist.ContinuousDistribution
          umontreal.iro.lecuyer.probdist.ExponentialDist
              umontreal.iro.lecuyer.probdist.ExponentialDistFromMean

All Implemented Interfaces:
  Distribution

    public class ExponentialDistFromMean

extends ExponentialDist

Extends the `ExponentialDist` class with a constructor accepting as argument the mean 1/λ instead of the rate λ.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`decPrec`

Constructor Summary
`ExponentialDistFromMean(double mean)` Constructs a new exponential distribution with mean `mean`.

Method Summary
`void` | `setMean(double mean)` Calls `setLambda` with argument `1/mean` to change the mean of this distribution.

Methods inherited from class umontreal.iro.lecuyer.probdist.ExponentialDist
`barF, barF, cdf, cdf, density, density, getInstanceFromMLE, getLambda, getMaximumLikelihoodEstimate, getMean, getMean, getMLE, getParams, getStandardDeviation, getStandardDeviation, getVariance, getVariance, inverseF, inverseF, setLambda, toString`

Methods inherited from class umontreal.iro.lecuyer.probdist.ContinuousDistribution
`inverseBisection, inverseBrent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExponentialDistFromMean

    public ExponentialDistFromMean(double mean)

  Constructs a new exponential distribution with mean `mean`.

  Parameters:
    `mean` - the required mean.

Method Detail

### setMean

    public void setMean(double mean)

  Calls `setLambda` with argument `1/mean` to change the mean of this distribution.

  Parameters:
    `mean` - the new mean.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.